extend("ahhp:base_lantern");

var utils = implement("fiskheroes:external/utils");
var models_stuff = implement("ahhp:external/model_stuff");
var lantern_aura = implement("ahhp:external/lantern_aura");

loadTextures({
    "ring_lights": "ahhp:lantern/green_lantern_ring",
    "hammer_lights": "ahhp:lantern/green_lantern_hammer",
    "model_lights": "ahhp:lantern/green_lantern_model_lights",
    "ring": "ahhp:lantern/green_lantern_ring",
    "hammer": "ahhp:lantern/green_lantern_hammer",
    "model": "ahhp:lantern/green_lantern_model"
});

function getColor() {
    return 0x454B1B;
}

function getLantern() {
    return "green_lantern";
}

function getRing() {
    return "green_lantern_ring";
}

function init(renderer) {
    parent.init(renderer);
    initEffects(renderer);
}

function initEffects(renderer) {
    parent.initEffects(renderer);
}

function render(entity, renderLayer, isFirstPersonArm) {
    parent.render(entity, renderLayer, isFirstPersonArm);
}